Subject: bug#29321: Isearch hit count

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Nov 2018 22:02:56 +0200

> Should the variables lazy-count-prefix-format and
> lazy-count-suffix-format be prefixed with "isearch-"?  If we will have
> a customizable option isearch-lazy-count, it would make sense to have
> these two variables share the same prefix.  They would not match the
> other existing "lazy-" prefixed defcustoms, but hopefully we can amend
> those in a future change to gain the same prefix ("isearch-").

These variables have no prefix isearch- because I thought that maybe later
the same variables could be shared to define the same format in the search
prompt for other search types like the search in the minibuffer history
where counting matches in the minibuffer history would require
an implementation different from counting matches in a regular buffer.

This could reuse the same format variables, but should allow enabling
and disabling counting with a variable other than isearch-lazy-count,
with a name like minibuffer-history-isearch-lazy-count.